﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Threading;

namespace Csharp_review1_class
{
    class Program
    {
        // C言語のmain
        static void Main(string[] args)
        {
            // Personオブジェクトを作ります。
            Person person1 = new Person("Takayuki", 40);

            // 年齢を変えます
            person1.Age = 41;

            // person1オブジェクトの名前を表示
            Console.WriteLine("name = {0}, age = {1}", person1.getName(), person1.Age);

            // person1オブジェクトに仕事をさせます
            person1.Move();

            // 表示を止めます
            Console.ReadLine();
        }
    }

    class Person
    {
        // 属性
        private string m_Name;
        private int m_Age;

        // コンストラクタ 
        // オブジェクトを作る際に呼ばれます。このメソッド内でクラス内属性を初期化します。
        public Person(string name, int age)
        {
            Console.WriteLine("Personのコンストラクタが呼ばれました");
            m_Name = name;
            m_Age = age;
        }

        // 名前を取得するメソッド
        public string getName()
        {
            return m_Name;
        }

        // 年齢のプロパティ
        public int Age
        {
            get
            {
                return m_Age;
            }
            set
            {
                m_Age = value;
            }
        }

        // 走らせるメソッド
        public void Move()
        {
            Console.WriteLine("走ってます！");
            Thread.Sleep(1000);
            Console.WriteLine("...走ってます..");
            Thread.Sleep(1000);
            Console.WriteLine(".......もうだめだ！");
        }
    }
}
