﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Threading;

namespace Csharp_review2_derivedClass
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("===person test===");
            Person person = new Person("ＴＡＫＡＹＵＫＩ", 41);
            person.Move();
            //person.Introduce();   // 人は自己紹介は持ってない
            Console.WriteLine("\n");

            Console.WriteLine("===OfficeWorker test===");
            OfficeWorker worker = new OfficeWorker("吉田光義", 37, "大日本電子");
            worker.SelfIntroduce(); // サラリーマンは自己紹介できる。
            worker.Move();          // サラリーマンは人なので走れる。
            Console.WriteLine("\n");

            Console.WriteLine("===Person --> OfficeWorker test===");
            Person person2 = new OfficeWorker("田辺信明", 32, "大日本電子");
            worker.SelfIntroduce(); // サラリーマンは自己紹介できる。
            worker.Move();          // サラリーマンは人なので走れる。
            Console.WriteLine("\n");

            //OfficeWorker worker2 = new Person("石田豊", 37);     // 人はすべてサラリーマンでは無いのでエラーになります
            Console.ReadLine();
        }
    }

    /// <summary>
    /// 人を表す
    /// </summary>
    class Person
    {
        /// <summary>
        /// 名前
        /// </summary>
        private string m_Name;
        public string Name { get { return m_Name; } }

        /// <summary>
        /// 年齢
        /// </summary>
        private int m_Age;
        public int Age { get { return m_Age; } }

        // コンストラクタ
        public Person(string name, int age)
        {
            m_Name = name;
            m_Age = age;
        }

        // 移動メソッド
        public void Move()
        {
            Console.WriteLine("走ってます！");
            Thread.Sleep(1000);
            Console.WriteLine("...走ってます..");
            Thread.Sleep(1000);
            Console.WriteLine(".......もうだめだ！"); 
        }
    }

    class OfficeWorker : Person
    {
        private string m_OfficeName;
        public string CollegeName { get { return m_OfficeName; } }

        public OfficeWorker(string name, int age, string officeName )
            : base(name, age)
        {
            m_OfficeName = officeName;
        }

        public void SelfIntroduce()
        {
            Console.WriteLine("初めまして。{0}{1}才です。{2}で仕事をしています。", Name, Age, m_OfficeName);

        }


    }
}
